Subject: Re: bug#53203: Comment with lots of color codes crashes or hangs emacs in scss-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 May 2022 14:14:30 +0200

Simen Heggestøyl <[email-masked]> writes:

> Hm, I can't seem to find it, did you push it yet?

Nope; forgot to, and it seems like a good thing.  :-)

> I tested a bit with the patch you posted 15:30 yesterday, but it seems
> to have some problems:
>
> Pasting this into a CSS mode buffer now freezes up Emacs:
>
>   /*
>    * xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
>    */
>
> Selectors with hyphens are no longer highlighted, e.g.:
>
>   .foo-bar {
>
> Only the last part of multi line selectors are now highlighted,
> e.g. only `body` here:
>
>   div,
>   body {

I've now fixed these and pushed the change.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no